version: '3.4'
services:
  jitsi-xmpp:
    build: ./jitsi-xmpp
    image: superboum/amd64_jitsi_xmpp:v1
    network_mode: host
    ports:
      - "5222:5222"
      - "5347:5347"
      - "5280:5280"
    env_file: [ 'dev.env' ]
    volumes: [ './jitsi-certs/:/certs:ro' ]
  jitsi-front:
    build: 
      context: ./jitsi-front
      network: host
      #^-- I have some DNS problems on Fedora 32 in Docker
    image: superboum/amd64_jitsi_front:v5
    ports:
      - "443:443"
    env_file: [ 'dev.env' ]
    volumes: [ './jitsi-certs/:/certs:ro' ]
  jitsi-conference-focus:
    build: 
      context: ./jitsi-conference-focus
      network: host
    image: superboum/amd64_jitsi_conference_focus:v2
    env_file: [ 'dev.env' ]
    volumes: [ './jitsi-certs/:/certs:ro' ]
  jitsi-videobridge:
    build: 
      context: ./jitsi-videobridge
      network: host
    image: superboum/amd64_jitsi_videobridge:v9
    network_mode: host
    ports:
      - "8080:8080/tcp"
      - "10000:10000/udp"
    env_file: [ 'dev.env' ]
    volumes: [ './jitsi-certs/:/certs:ro' ]
    
